The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от opennews (ok) on 04-Июн-15, 09:51 
Организация Linux Foundation опубликовала (https://lists.linux-foundation.org/pipermail/lsb-discuss/201...) новые значительные версии основополагающих для Linux-систем стандартов LSB 5.0 (http://www.linuxfoundation.org/collaborate/workgroups/lsb/ls...) (Linux Standard Base) и FHS 3.0 (http://www.linuxfoundation.org/collaborate/workgroups/lsb/fh...) (Filesystem Hierarchy Standard). Прошлая версия стандарта FHS была выпущена в 2004 году, а LSB - в 2011 году.


Стандарт FHS (http://refspecs.linuxfoundation.org/FHS_3.0/fhs-3.0.html) (Filesystem Hierarchy Standard) определяет набор и место размещения в файловой системе,  утилит, системных файлов и директорий, неизменных для всех совместимых со стандартом Linux-дистрибутивов и Unix-подобных систем. В новой версии учтены (https://wiki.linuxfoundation.org/en/FHSReleaseNotes30#Summar...)  современные реалии, например, добавлена информация о новых директориях и файловых системах, имеющихся в современных UNIX-подобных ОС, например, /sys и /run. Определено использование директорий /opt, /usr/local и /srv. Исключены некоторые устаревшие части файловой системы, такие как /usr/X11R6, дополнительные подкаталоги внутри директории /usr/bin, привязки к XFree86. Примеры использования наборов символов переведены на Unicode.

Стандарт  LSB (http://refspecs.linuxfoundation.org/lsb.shtml) (Linux Standard Base), определяет единые для всех Linux-дистрибутивов правила, средства разработки, бинарные интерфейсы и библиотеки. Поддержка LSB позволяет обеспечить возможность выполнения продукта в любом LSB-совместимом дистрибутиве Linux, без внесения в него специфичных для каждой системы изменений. Стандарт LSB поддерживает большинство производителей дистрибутивов Linux, включая Debian, SUSE, Red Hat, Oracle и Canonical, что позволяет  производителям программных продуктов унифицировать процесс разработки приложений и избавиться от необходимости следить за комплектацией различных дистрибутивов, текущими версиями библиотек и программных модулей. LSB выполняет важную роль по предотвращению фрагментации дистрибутивов Linux, несмотря на многообразие которых, базовый бинарный интерфейс (ABI) дистрибутивов удается сдерживать в определенном неизменном русле.

Спецификации охватывают архитектуры  IA32, IA64, PPC32, PPC64, S390, S390X и X86_64, и разделены на группы: общие элементы (http://refspecs.linuxfoundation.org/LSB_5.0.0/LSB-Common/LSB...), базовый состав (http://refspecs.linuxfoundation.org/LSB_5.0.0/LSB-Core-gener...) (Core), поддержка языков программирования (http://refspecs.linuxfoundation.org/LSB_5.0.0/LSB-Languages/...) (Perl, Python, XML), компоненты для формирования десктопа (http://refspecs.linuxfoundation.org/LSB_5.0.0/LSB-Desktop-ge...), GTK3+ и средства для работы с графикой (http://refspecs.linuxfoundation.org/LSB_5.0.0/LSB-TrialUse/L...), сканирование и вывод на печать (http://refspecs.linuxfoundation.org/LSB_5.0.0/LSB-Imaging/LS...). Кроме  спецификаций LSB также включает в себя набор дополнительных инструментов (http://www.linuxfoundation.org/collaborate/workgroups/lsb/do...): Linux App Checker для тестирования  программ на предмет совместимости с LSB;  LSB Distribution Checker для проверки совместимости дистрибутивов со спецификациями LSB; LSB SDK для создания исполняемых файлов, совместимых с LSB.

Основные изменения в Linux Standard Base 5.0:


-  Прекращена поддержка библиотеки Qt 3, что позволяет дистрибутивам не включать данную устаревшую ветку Qt для сохранения совместимости с LSB. Приложения на базе Qt3 не являются совместимыми  со стандартом LSB 5, кроме случая использования статического связывания с библиотекой.

-  Усовершенствована модульная организация LSB, спецификации теперь не просто логически разделены по области назначения, но и самодостаточны, т.е. каждая из частей LSB может применяться обособленно, давая возможность учитывать в приложении только необходимые части стандарта, без зависимости от полного набора спецификаций. В LSB 5.0 доступно пять модулей
    LSB Core,
    LSB Desktop,
    LSB Languages,
    LSB Imaging и LSB Trial Use (GTK3+ и libpng). Основной обязательно зависимостью является только модуль LSB Core, остальные модули можно использовать обособленно. Модуль LSB Trial Use является опцией и не обязателен к реализации.
-  Повышены минимальные требования к базовым библиотекам: GTK+ 2.32 (для совместимости с LSB Trial Use - GTK+/GDK 3.0), Cairo 1.30,    OpenGL 2.1;
-  Добавлена поддержка XCB API для X11;
-  Включены новые библиотеки SANE, libncursesw, libtiff и libxslt;
-  Добавлены новые программные интерфейсы (https://www.linuxbase.org/navigator/browse/status.php), включая aio,  argz*, envz*,
    CUPS ippReadIO/ippWriteIO и inflateCopy (libz).

Дополнительно можно отметить выпуск (http://www.linux.com/news/embedded-mobile/mobile-linux/83335.../) спецификации AGL 1.0 (https://www.automotivelinux.org/agl-specification) (Automotive Grade Linux), в которой определены требования к программному стеку Automotive Grade Linux (AGL), определяющему Linux-платформу для использования в различных автомобильных подсистемах, от панелей приборов до автомобильных информационно-развлекательных систем. AGL развивается рабочей группой, в которую входят как автопроизводители (Nissan, Toyota, Hyundai, Jaguar Land Rover и HARMAN), так и представители компьютерной индустрии (Intel, Samsung, Fujitsu, NEC, NVIDIA и TI). Платформой предоставляется набор рабочих прототипов типовых приложений (https://www.flickr.com/photos/linuxfoundation/sets/721576449.../), среди которых реализация (http://wiki.automotive.linuxfoundation.org/index.php/Home_Sc...) домашнего экрана, приборной панели, навигационной системы, климат-контроля (http://wiki.automotive.linuxfoundation.org/index.php/HVAC), мультимедийного проигрывателя (http://wiki.automotive.linuxfoundation.org/index.php/Media) с поддержкой DLNA, интерфейса (http://wiki.automotive.linuxfoundation.org/index.php/MOST_Au...) для настройки звуковой подсистемы, программы (http://wiki.automotive.linuxfoundation.org/index.php/News) для чтения новостей. Платформой также предлагаются компоненты (http://wiki.automotive.linuxfoundation.org/index.php/Common) для голосового управления, поиска информации, взаимодействия (http://wiki.automotive.linuxfoundation.org/index.php/Bluetoo...) со смартфоном по Bluetooth и подключения к  CAN-сети для доступа к датчикам и передачи данных между узлами автомобиля.

URL: https://lists.linux-foundation.org/pipermail/lsb-discuss/201...
Новость: https://www.opennet.ru/opennews/art.shtml?num=42360

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –12 +/
Сообщение от YetAnotherOnanym (ok) on 04-Июн-15, 09:51 
> учтены современные реалии

то есть, дистроклепатели по-прежнему кто в лес, кто по дрова, а стандартописатели вносят их фантазии в свои стандарты.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

13. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +11 +/
Сообщение от Нанобот (ok) on 04-Июн-15, 11:20 
наличие стандартов лучше отсутствия стандартов.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

22. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +6 +/
Сообщение от Аноним (??) on 04-Июн-15, 12:27 
Плохо у тебя с аналогиями, клован. И вообще с головой плохо.
Hint: никогда стандарты не появляются прежде появления нескольких реализаций идеи. Абсурдно проводить процесс стандартизации для чего-то несуществующего.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

80. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от d (??) on 24-Июн-15, 14:35 
SGML?
Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

23. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +2 +/
Сообщение от Аноним (??) on 04-Июн-15, 12:28 
Паравоз конструируется с учётом вагонов, которые он повезёт при эксплуатации.

>Стандарт лишь пост-фактум фиксирует то, что и так уже существует.

Для вас сегодня день удивительных открытий? Бывает...

Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору
Часть нити удалена модератором

36. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 04-Июн-15, 15:18 
> Linux Foundation написал некую писульку (назвав её "стандарт") и я утверждаю, что
> она бесполезна и никем не используется.

https://www.debian.org/doc/debian-policy/ch-opersys.html

https://access.redhat.com/documentation/en-US/Red_Hat_Enterp...

https://www.novell.com/documentation/suse91/suselinux-adming...

Ответить | Правка | Наверх | Cообщить модератору
Часть нити удалена модератором

39. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 04-Июн-15, 15:54 
Прямым текстом написано, что каждый из них использует FHS. По ссылкам-то сходи, клован!
Ответить | Правка | Наверх | Cообщить модератору

26. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Аноним (??) on 04-Июн-15, 13:06 
не, они взаимно комплиментарно. то есть - влияют на друг дружку, оба.
не всегда предсказуемым образом, но самые логичные вещи - попадают в "другую" часть.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

2. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 04-Июн-15, 09:55 
NixOS смотрит с недоумением.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

27. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +5 +/
Сообщение от kravich (ok) on 04-Июн-15, 13:40 
/nix/store/b6gvzjyb2pg0kjfwrjmg1vfhh54ad73z-firefox-33.1/
Ага
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

3. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Аноним (??) on 04-Июн-15, 10:16 
Стандарты - это здорово. Вот в долбаных окошках вообще нет никаких стандартов, ни стандартных форматов пакетов, ни стандартов файловой системы, ни уж тем более стандартных библиотек по факту. Каждый клепает как бог на душу положит.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

4. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 04-Июн-15, 10:18 
В винде приходится доставать даже аудиодрайвер. Без интернета даже звук хрен заставишь работать. Какой позор.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

6. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +8 +/
Сообщение от DeerFriend on 04-Июн-15, 10:28 
Смешнее, когда без интернета не можешь поставить драйвер на сетевуху.
Сидишь и вспоминаешь времена флоппинета.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

8. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Andrey Mitrofanov on 04-Июн-15, 10:39 
> Смешнее, когда без интернета не можешь поставить драйвер на сетевуху.

Нам Линус[? Кноппер?] дал http:/tips/2339_grub_boot_iso_flash.shtml стальные usb-крылья!?

> Сидишь и вспоминаешь времена флоппинета.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

10. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 04-Июн-15, 11:13 
> Смешнее, когда без интернета не можешь поставить драйвер на сетевуху.
> Сидишь и вспоминаешь времена флоппинета.

Ага, про модемы и говорить нечего.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

12. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +2 +/
Сообщение от Аноним (??) on 04-Июн-15, 11:16 
>> Смешнее, когда без интернета не можешь поставить драйвер на сетевуху.
>> Сидишь и вспоминаешь времена флоппинета.
> Ага, про модемы и говорить нечего.

То что в линуксе умещается в какой-нибудь условно говоря крошечный драйвер option, в винде нужно пол-интернета скачать. Проприетарщики такие проприетарщики.

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

72. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от none7 (ok) on 05-Июн-15, 04:05 
Мне было смешнее когда у меня Ubuntu ставится отказывалась. Поскольку в initrd драйвера PATA/marvel не было, и подгрузить его с диска невозможно, ядро не видит диска с которого загрузилось. И никакие дискетки тут уже не помогут, ибо загрузка дров средствами BIOS не предусмотрена, только initrd. Так, что отсутствие драйвера сетевой карты это мелочи.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

76. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от тоже Аноним email(ok) on 05-Июн-15, 16:59 
Не знаю, когда это было у вас, а у меня аналогичная ситуация была с Win7 x64.
При этом и Win7 x32, и Убунта x64 ставились без всяких вопросов.
А вот 64-битная "семерка" теряла дисковод, с которого загрузилась, посреди установки.
Ответить | Правка | ^ к родителю #72 | Наверх | Cообщить модератору

75. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от EuPhobos (ok) on 05-Июн-15, 11:23 
> В винде приходится доставать даже аудиодрайвер. Без интернета даже звук хрен заставишь работать. Какой позор.

А я даже с интернетом не могу заставить работать звуковуху) Для моей ямахи под винду просто нет драйверов, какой позор =)
Всё меняется.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

7. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Andrey Mitrofanov on 04-Июн-15, 10:30 
> Стандарты - это здорово.

Да, LF нравится. Корпорасты по струнке ходят -- донейшены заносят, в списочки записываются, по конференциям прожигают.   Вона, автомобили, телефонки, большие балеты, бороздят просторы!! </позитиф>

Каждый клепает как бог на душу
> положит.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

21. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +2 +/
Сообщение от Аноним (??) on 04-Июн-15, 12:22 
> Вы очень плохо знаете бизнес конкурента... Вам не с чем сравнивать, поэтому
> вы считаете свою реализацию идеальной. Это не так.

Вы ошибаетесь, я пересказываю все те проблемы с которыми столкнулся при использовании вашей проприетарной недооси. Я-то как раз могу сравнивать. После виндовой помойки линукс как глоток чистого воздуха.

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

24. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 04-Июн-15, 12:40 
> Вы очень плохо знаете бизнес конкурента... Вам не с чем сравнивать, поэтому
> вы считаете свою реализацию идеальной. Это не так.

Вы намекаете на то что майкрософт получает взятки от производителей по за всякие черные дела на компьютере пользователя?

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

68. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от Анончег on 05-Июн-15, 01:04 
Митрофанычъ, я тебе плюсанул в карму,  а какие-то pr-асты минусовали.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

9. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +2 +/
Сообщение от via (??) on 04-Июн-15, 10:56 
>Добавлена поддержка XCB API для X11;

эт хорошо и правильно!

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

11. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Sluggard (ok) on 04-Июн-15, 11:16 
> Стандарт LSB поддерживает большинство производителей дистрибутивов Linux, включая Debian, SUSE, Red Hat, Oracle и Canonical

А Слака, Гента, Арч, Альт, Роса, и прочие?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

16. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от Michael Shigorin email(ok) on 04-Июн-15, 11:51 
> А Слака, Гента, Арч, Альт, Роса, и прочие?

Ещё как поддерживаем, даже упаковато: http://packages.altlinux.org/fhs :]

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

19. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Sluggard (ok) on 04-Июн-15, 12:18 
> Ещё как поддерживаем, даже упаковато: http://packages.altlinux.org/fhs :]

Это здорово. Но в новости-то нет, ни о вас, ни об остальных.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

50. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Michael Shigorin email(ok) on 04-Июн-15, 16:50 
> Это здорово. Но в новости-то нет, ни о вас, ни об остальных.

Эт как раз пофиг.

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

69. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Анончег on 05-Июн-15, 01:06 
>> Это здорово. Но в новости-то нет, ни о вас, ни об остальных.
> Эт как раз пофиг.

Мишаня, а как же тщеславие, реклама Альта наконец?
Твой комментарий выдаёт упаднические настроения.


Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

74. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от cinarulezzz on 05-Июн-15, 09:51 
:D
Есть реклама - фуууу, пеар. Нет рекламы - упаднические настроения, альт рип.
Ответить | Правка | ^ к родителю #69 | Наверх | Cообщить модератору

78. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от тоже Аноним email(ok) on 05-Июн-15, 17:16 
> Есть реклама - фуууу, пеар. Нет рекламы - упаднические настроения, альт рип.

"Мы работаем и при этом ничего специально не ломаем" - это не реклама, это норма.
А теми, кому помогла бы такая реклама, лучше вовсе не связываться...

Ответить | Правка | ^ к родителю #74 | Наверх | Cообщить модератору

65. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от Аноним (??) on 04-Июн-15, 22:10 
Гента? Хотим - поддерживаем, не хотим - не поддерживаем. Рулим посредством USE-флагов. ;)
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

79. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от Аноним (??) on 05-Июн-15, 21:02 
А чё минусуете, что я неправильно сказал? Я сам гентушник. И если всю систему собрать с, например, такой комбинацией USE="-glib -gnome -gstreamer -gtk -mysql  -pango -pulseaudio -systemd -zeroconf", то она вряд-ли будет соответсвовать LSB.
Ответить | Правка | ^ к родителю #65 | Наверх | Cообщить модератору

14. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –2 +/
Сообщение от manster (ok) on 04-Июн-15, 11:30 
> Прекращена поддержка библиотеки Qt 3, что позволяет дистрибутивам не включать данную устаревшую ветку Qt для сохранения совместимости с LSB. Приложения на базе Qt3 не являются совместимыми со стандартом LSB 5, кроме случая использования статического связывания с библиотекой.

Т.е. всякие форки LTS-ы и машины времени идут лесом - ну ну ...

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

62. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от Аноним (??) on 04-Июн-15, 22:06 
И Trinity Desktop Environment тоже идёт лесом. Нечего было слоупочить с переходом на Qt 4, да теперь уж на Qt 5.
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

15. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –2 +/
Сообщение от Анонимс on 04-Июн-15, 11:38 
Они до сих пор RPM форсят?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

25. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –1 +/
Сообщение от neochapay (ok) on 04-Июн-15, 13:05 
AGL это жееееееесть.... Tizen во все дыры...не дальше продолжу писать на Qt5 ...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

33. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –2 +/
Сообщение от Аноним (??) on 04-Июн-15, 14:52 
Это где rpm в качестве стандарта прописан? Ненужно в 1024 степени.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

37. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +2 +/
Сообщение от Аноним (??) on 04-Июн-15, 15:43 
LSB - стандарт типа "вот было бы хорошо, если...".

А есть фактические стандарты.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

58. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –4 +/
Сообщение от Аноним (??) on 04-Июн-15, 18:25 
А там есть включение Numlock по умолчанию?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

59. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  –3 +/
Сообщение от Аноним (??) on 04-Июн-15, 19:03 
> Стандарт FHS (http://refspecs.linuxfoundation.org/FHS_3.0/fhs-3.0.html) (Filesystem Hierarchy Standard)
> определяет набор и место размещения в файловой системе,  утилит, системных файлов и
> директорий,

Кто бы рассказал об этом заиливателям "Гоболинукса" :)
> GoboLinux - это модульный дистрибутив Линукса: он располагает программы в Вашей системе по-новому, путем логического разбиения.

Programs
Users
System
Files

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

66. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +2 +/
Сообщение от Аноним (??) on 04-Июн-15, 22:18 
Не раскрыта тема systemd и "все исполняемые файлы в /usr/bin".
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

70. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от Аноним (??) on 05-Июн-15, 01:10 
"Весь исполняемый файл".
Ответить | Правка | ^ к родителю #66 | Наверх | Cообщить модератору

67. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +/
Сообщение от Аноним (??) on 04-Июн-15, 22:34 
Может быть стоит записать стандартный набор косяков винды, чтобы не бить по зубам проприетарщиков лично каждый раз. Вякнул что-то проприетарщик на опенсорсном сайте или против линукса отсылать к списку - пусть парится опровергает. Включить туда непрозрачность, непереносимость, отсутствие самых простых дров по-умолчанию, капризность при установке, дурацкую архитектуру безопасности винды, упомянуть слишком большую стоимость такого кривого поделия, а также то что пользователь не владеет покупкой итд итп А то эти долбодятлы совсем обнаглели)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору
Часть нити удалена модератором

77. "Доступны Linux Standard Base 5.0 и стандарт иерархии файлово..."  +1 +/
Сообщение от тоже Аноним email(ok) on 05-Июн-15, 17:11 
"Мы с вашей системой уже давно развелись, прекратите нам сватать эту стерву" - так будет вернее.

Я тут, правда, умудрился опять "жениться" по неосторожности. Купил в фирму железку, простая вроде бы штука, а при чтении документации внезапно оказалось, что ей для работы необходим программный сервер, завязанный на MS SQL Server, хотя нам эти БД нужны, как автобусный маршрут по территории детсада. И все обязательно последних версий, то есть под Win7 мимимум. Хорошо хоть, не требует WinServer под себя. Ни с чем, кроме Винды, дружить не умеет и не собирается - ибо ДотНет.

Я сам дурак, конечно, что доки предварительно не прочел, но ведь аналоги-то были вовсе со встроенным веб-сервером и ни от кого не зависели. Думал, эпоха винмодем-логики прошла...

Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру